"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnauthorizedPage = exports.NotFoundPage = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _ = require("..");
var _CoalitionGtm = require("../components/CoalitionGtm");
require("./Pages.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const NotFoundPage = _ref => {
  let {
    gtmId
  } = _ref;
  (0, _CoalitionGtm.sendTag)(gtmId, (0, _CoalitionGtm.event_15_00)("not_found"));
  return /*#__PURE__*/_react.default.createElement(ErrorPage, {
    title: "Error 404",
    description: "No encontramos la página que buscas, por favor regresa a nuestra página principal"
  });
};
exports.NotFoundPage = NotFoundPage;
const UnauthorizedPage = _ref2 => {
  let {
    gtmId
  } = _ref2;
  (0, _CoalitionGtm.sendTag)(gtmId, (0, _CoalitionGtm.event_15_00)("unauthorized"));
  return /*#__PURE__*/_react.default.createElement(ErrorPage, {
    title: "Error 401",
    description: "Necesitas Iniciar sesión para acceder a este contenido"
  });
};
exports.UnauthorizedPage = UnauthorizedPage;
const ErrorPage = _ref3 => {
  let {
    title,
    description
  } = _ref3;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "error-page"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "mobile"
  }, /*#__PURE__*/_react.default.createElement(_.CoalitionSvgs.NotFoundSvg, null)), /*#__PURE__*/_react.default.createElement("div", {
    className: "detail"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, description)), /*#__PURE__*/_react.default.createElement("div", {
    className: "desktop"
  }, /*#__PURE__*/_react.default.createElement(_.CoalitionSvgs.NotFoundSvg, {
    desktop: true
  })));
};